@REM - do not display commands on screen
@echo off

REM - set player's parameters here
set params=--volume-step=5 --hotkeys=multimedia --recursive=1 --resume=1 --

REM - build default command line
set stealth=\"%~dp0Stealth.exe\" %params%
REM - set context menu item text
set stealthtxt=Open in Stealth Player
REM - set reg add command parameters
set regadd=/f /ve /t REG_SZ /d
REM - set registry entry name
set regentry=Stealth

REM - open certain files with Stealth Player
reg add HKCR\%regentry%\Shell\Open %regadd% "%stealthtxt%"
REM - main "open file" command
reg add HKCR\%regentry%\Shell\Open\Command %regadd% "%stealth% \"%%1\""

REM - following files extensions will be handled 
reg add HKCR\.mo3 %regadd% "%regentry%"
reg add HKCR\.it %regadd% "%regentry%"
reg add HKCR\.xm %regadd% "%regentry%"
reg add HKCR\.s3m %regadd% "%regentry%"
reg add HKCR\.mtm %regadd% "%regentry%"
reg add HKCR\.mod %regadd% "%regentry%"
reg add HKCR\.umx %regadd% "%regentry%"
reg add HKCR\.mp3 %regadd% "%regentry%"
reg add HKCR\.mp2 %regadd% "%regentry%"
reg add HKCR\.mp1 %regadd% "%regentry%"
reg add HKCR\.ogg %regadd% "%regentry%"
reg add HKCR\.wav %regadd% "%regentry%"

REM - following playlists extensions will be handled 
reg add HKCR\.m3u %regadd% "%regentry%"
reg add HKCR\.m3u8 %regadd% "%regentry%"
reg add HKCR\.lst %regadd% "%regentry%"

REM - open folder with Stealth Player 
reg add HKCR\Folder\Shell\%regentry% %regadd% "%stealthtxt%"
REM - main "open fol
reg add HKCR\Folder\Shell\%regentry%\Command %regadd% "%stealth% \"%%1\"" 

REM - put stealth in autorun
reg add HKCU\Software\Microsoft\Windows\CurrentVersion\Run /f /v "%regentry%" /t REG_SZ /d "%stealth%"

REM - allows to check if it is all ok
pause